Index: code/trunk/src/modules/overlays/stats/CreateLines.cc
===================================================================
--- code/trunk/src/modules/overlays/stats/CreateLines.cc	(revision 9667)
+++ code/trunk/src/modules/overlays/stats/CreateLines.cc	(revision 11071)
@@ -37,20 +37,20 @@
     CreateLines::CreateLines(float leftOffset, float topOffset, float width, float height)
     {
-        playerNameText_ = new OverlayText(0);
+        playerNameText_ = new OverlayText(nullptr);
         playerNameText_->setTextSize(0.04f);
         playerNameText_->setColour(ColourValue(0.0f, 0.75f, 0.2f, 1.0f));
         playerNameText_->setPosition(Vector2(0.1f, topOffset + 0.01f));
 
-        scoreText_ = new OverlayText(0);
+        scoreText_ = new OverlayText(nullptr);
         scoreText_->setTextSize(0.04f);
         scoreText_->setColour(ColourValue(0.0f, 0.75f, 0.2f, 1.0f));
         scoreText_->setPosition(Vector2(0.6f, topOffset + 0.01f));
 
-        deathsText_ = new OverlayText(0);
+        deathsText_ = new OverlayText(nullptr);
         deathsText_->setTextSize(0.04f);
         deathsText_->setColour(ColourValue(0, 0.75f, 0.2f, 1.0f));
         deathsText_->setPosition(Vector2(0.8f, topOffset + 0.01f));
 
-        background_ = new Stats(0);
+        background_ = new Stats(nullptr);
         background_->setPosition(Vector2(leftOffset, topOffset));
         background_->setSize(Vector2(width, height));
Index: code/trunk/src/modules/overlays/stats/CreateLines.h
===================================================================
--- code/trunk/src/modules/overlays/stats/CreateLines.h	(revision 9667)
+++ code/trunk/src/modules/overlays/stats/CreateLines.h	(revision 11071)
@@ -29,4 +29,6 @@
 
 #include "overlays/OverlaysPrereqs.h"
+
+#include <string>
 
 namespace orxonox
Index: code/trunk/src/modules/overlays/stats/Scoreboard.cc
===================================================================
--- code/trunk/src/modules/overlays/stats/Scoreboard.cc	(revision 9667)
+++ code/trunk/src/modules/overlays/stats/Scoreboard.cc	(revision 11071)
@@ -60,6 +60,6 @@
         SUPER(Scoreboard, changedVisibility);
 
-        for (unsigned int i = 0; i < this->lines_.size(); ++i)
-            this->lines_[i]->changedVisibility();
+        for (CreateLines* line : this->lines_)
+            line->changedVisibility();
     }
 
@@ -94,9 +94,9 @@
 
         unsigned int index = 0;
-        for (std::map<PlayerInfo*, Player>::const_iterator it = playerList.begin(); it != playerList.end(); ++it)
+        for (const auto& mapEntry : playerList)
         {
-            this->lines_[index]->setPlayerName(multi_cast<std::string>(it->first->getName()));
-            this->lines_[index]->setScore(multi_cast<std::string>(it->second.frags_));
-            this->lines_[index]->setDeaths(multi_cast<std::string>(it->second.killed_));
+            this->lines_[index]->setPlayerName(multi_cast<std::string>(mapEntry.first->getName()));
+            this->lines_[index]->setScore(multi_cast<std::string>(mapEntry.second.frags_));
+            this->lines_[index]->setDeaths(multi_cast<std::string>(mapEntry.second.killed_));
             index++;
         }
Index: code/trunk/src/modules/overlays/stats/Scoreboard.h
===================================================================
--- code/trunk/src/modules/overlays/stats/Scoreboard.h	(revision 9667)
+++ code/trunk/src/modules/overlays/stats/Scoreboard.h	(revision 11071)
@@ -44,5 +44,5 @@
         virtual ~Scoreboard();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
 
         inline void setCreateLines(CreateLines* cl)
@@ -51,5 +51,5 @@
             { return this->createlines_; }
 
-        virtual void changedVisibility();
+        virtual void changedVisibility() override;
 
     private: // functions
Index: code/trunk/src/modules/overlays/stats/Stats.cc
===================================================================
--- code/trunk/src/modules/overlays/stats/Stats.cc	(revision 9667)
+++ code/trunk/src/modules/overlays/stats/Stats.cc	(revision 11071)
@@ -46,6 +46,6 @@
     Stats::Stats(Context* context)
         : OrxonoxOverlay(context)
-        , statsOverlayNoise_(0)
-        , statsOverlayBorder_(0)
+        , statsOverlayNoise_(nullptr)
+        , statsOverlayBorder_(nullptr)
     {
         RegisterObject(Stats);
Index: code/trunk/src/modules/overlays/stats/Stats.h
===================================================================
--- code/trunk/src/modules/overlays/stats/Stats.h	(revision 9667)
+++ code/trunk/src/modules/overlays/stats/Stats.h	(revision 11071)
@@ -46,5 +46,5 @@
         void setConfigValues();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
 
     private: // variables
